tigase.server.amp.db

## Class MsgBroadcastRepository<T,S extends DataSource>

- java.lang.Object
- - tigase.server.amp.db.MsgBroadcastRepository<T,S>

- All Implemented Interfaces:
    DataSourceAware<S>
  Direct Known Subclasses:
    JDBCMsgBroadcastRepository

      public abstract class MsgBroadcastRepository<T,S extends DataSource>
      extends Object
      implements DataSourceAware<S>

  Created by andrzej on 15.03.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MsgBroadcastRepository.BroadcastMsg<T>`
    `static class` | `MsgBroadcastRepository.MsgBroadcastRepositoryBean`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,MsgBroadcastRepository.BroadcastMsg>` | `broadcastMessages`
    `protected long` | `broadcastMessagesLastCleanup`
    `protected SimpleParser` | `parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MsgBroadcastRepository()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `dumpBroadcastMessageKeys()`
    `protected abstract void` | `ensureBroadcastMessageRecipient(String id, BareJID recipient)`
    `Collection<MsgBroadcastRepository.BroadcastMsg>` | `getBroadcastMessages()`
    `MsgBroadcastRepository.BroadcastMsg` | `getBroadcastMsg(String id)`
    `protected abstract void` | `insertBroadcastMessage(String id, Element msg, Date expire, BareJID recipient)`
    `abstract void` | `loadMessagesToBroadcast()`
    `boolean` | `updateBroadcastMessage(String id, Element msg, Date expire, BareJID recipient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.db.DataSourceAware

      `setDataSource`

- - ### Field Detail

    - #### broadcastMessages

          protected Map<String,MsgBroadcastRepository.BroadcastMsg> broadcastMessages

    - #### broadcastMessagesLastCleanup

          protected long broadcastMessagesLastCleanup

    - #### parser

          protected SimpleParser parser

  - ### Constructor Detail

    - #### MsgBroadcastRepository

          public MsgBroadcastRepository()

  - ### Method Detail

    - #### loadMessagesToBroadcast

          public abstract void loadMessagesToBroadcast()

    - #### getBroadcastMsg

          public MsgBroadcastRepository.BroadcastMsg getBroadcastMsg(String id)

    - #### dumpBroadcastMessageKeys

          public String dumpBroadcastMessageKeys()

    - #### getBroadcastMessages

          public Collection<MsgBroadcastRepository.BroadcastMsg> getBroadcastMessages()

    - #### updateBroadcastMessage

          public boolean updateBroadcastMessage(String id,
                                                Element msg,
                                                Date expire,
                                                BareJID recipient)

    - #### ensureBroadcastMessageRecipient

          protected abstract void ensureBroadcastMessageRecipient(String id,
                                                                  BareJID recipient)

    - #### insertBroadcastMessage

          protected abstract void insertBroadcastMessage(String id,
                                                         Element msg,
                                                         Date expire,
                                                         BareJID recipient)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.